View a markdown version of this page

Shared Resources - Amazon MQ

Shared Resources

You can retrieve information about the networking resources shared to a broker for private networking. Use this API to check the status of shared resources and retrieve DNS names for use in your broker configuration.

URI

/v1/brokers/broker-id/shared-resources

HTTP methods

GET

Operation ID: DescribeSharedResources

Returns the resources shared to a broker.

Path parameters
NameTypeRequiredDescription
broker-idStringTrue

The unique ID that Amazon MQ generates for the broker.

Query parameters
NameTypeRequiredDescription
nextTokenStringFalse

The token that specifies the next page of results Amazon MQ should return. To request the first page, leave nextToken empty.

maxResultsIntegerFalse

The maximum number of brokers that Amazon MQ can return per page (20 by default). This value must be an integer from 5 to 100.

Responses
Status codeResponse modelDescription
200 DescribeSharedResourcesOutput

HTTP Status Code 200: OK.

400Error

HTTP Status Code 400: Bad request due to incorrect input. Correct your request and then retry it.

403Error

HTTP Status Code 403: Access forbidden. Correct your credentials and then retry your request.

404Error

HTTP Status Code 404: Resource not found due to incorrect input. Correct your request and then retry it.

500Error

HTTP Status Code 500: Unexpected internal server error. Retrying your request might resolve the issue.

OPTIONS

Path parameters
NameTypeRequiredDescription
broker-idStringTrue

The unique ID that Amazon MQ generates for the broker.

Responses
Status codeResponse modelDescription
200None

Default response for CORS method

Schemas

Response bodies

{ "nextToken": "string", "sharedResources": [ { "type": enum, "resourceArn": "string", "status": enum, "dnsNames": [ "string" ], "resourceShareArns": [ "string" ], "error": { "code": enum, "message": "string" } } ] }
{ "errorAttribute": "string", "message": "string" }

Properties

DescribeSharedResourcesOutput

Returns the networking resources shared to the broker.

PropertyTypeRequiredDescription
nextToken

string

False

The token that specifies the next page of results Amazon MQ should return. To request the first page, leave nextToken empty.

sharedResources

Array of type SharedResource

False

A list of resources shared to the broker.

Error

Returns information about an error.

PropertyTypeRequiredDescription
errorAttribute

string

False

The attribute which caused the error.

message

string

False

The explanation of the error.

SharedResource

A resource shared to the broker.

PropertyTypeRequiredDescription
dnsNames

Array of type string

False

The DNS names accessible by the broker.

error

SharedResourceError

False

Information on the error encountered by the resource.

resourceArn

string

True

The ARN of the shared resource.

resourceShareArns

Array of type string

False

The resource shares to which the resource belongs.

status

SharedResourceStatus

True

The status of the shared resource.

type

SharedResourceType

True

The type of shared resource.

SharedResourceError

Information on the error encountered by the resource.

PropertyTypeRequiredDescription
code

SharedResourceErrorCode

True

The error code associated with the error.

message

string

True

The error message.

SharedResourceErrorCode

The error code associated with the error.

  • RESOURCE_MISSING

  • ACCEPT_FAILED

  • MISMATCHED_AZ

SharedResourceStatus

The status of the shared resource.

  • AVAILABLE

  • SETUP_IN_PROGRESS

  • DELETION_IN_PROGRESS

  • ERROR

SharedResourceType

The type of shared resource.

  • RESOURCE_SHARE

  • RESOURCE

See also

For more information about using this API in one of the language-specific AWS SDKs and references, see the following:

DescribeSharedResources